<!DOCTYPE html>

{# _datamax/api/templates/validation_layout.html_ #}
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css"
          integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css">


    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            crossorigin="anonymous"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
    <script>
        $( document ).ajaxStart(function() {
            $(".loading").show();
        });

        $( document ).ajaxStop(function() {
            $(".loading").hide();
        });

        $( document ).ajaxError(function( event, request, settings ) {
            console.log(request);
            $(".loading").hide();
            $(".modal-body").html(request.responseJSON.traceback);
            $('.modal').modal('show');
        });

        $(document).ready(function() {
            $.fn.dataTable.ext.errMode = 'none';
            $('html').on('error.dt', function(e, settings, techNote, message) {
                console.log(settings.jqXHR);
                if (settings.jqXHR.status == 403){
                    $('.modal-title').html('Session expired');
                    $('.modal-body').html(settings.jqXHR.responseJSON.traceback);
                    $('.modal').modal('show');
                }
            })
        });


    </script>
    <style>
        html{
            font-size:0.7em;
        }
        body {
                    background-color: #eeeeee;
                }

        .h7 {
            font-size: 0.8rem;
        }

        .gedf-wrapper {
            margin-top: 0.97rem;
        }

        @media (min-width: 992px) {
            .gedf-main {
                padding-left: 4rem;
                padding-right: 4rem;
            }
            .gedf-card {
                margin-bottom: 2.77rem;
            }
        }

        /**Reset Bootstrap*/
        .dropdown-toggle::after {
            content: none;
            display: none;
        }

        .btn-link{
            padding: 0px;
        }

        .wall-image{
            height: 200px;
        }

        #newNotification i{
                vertical-align: top;
                font-size: 0.7em;
                display:none;
                color: #05728f;
        }

        .navbar .navbar-nav .nav-link.active{
            color: #05728f;
        }

        .list-group-item.active{
            background-color: #05728f;
        }
        .list-group-item.active div a{ color:white;}
        .list-group-item.h6{
            line-height:2.5;
        }
        table.dataTable tbody td {
            word-break: break-word;
            vertical-align: top;
        }


    </style>
    <title>Validation Engine</title>
</head>
<body>
<div>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <!-- brand -->
        <a class="navbar-brand">DataMax <br>
            <small>Validation Engine</small>
        </a>
        <!-- .brand -->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <!-- list of menu items -->
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <div class="ml-auto loading" style="display:none;"> <!-- custom success messages -->
                <div class="alert alert-success">Loading ...</div>
            </div>
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link"></a>
                </li>
                <li>

                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_validation.index') }}">
                        <i class="fas fa-home"></i>&ensp;Home
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_validation.file_add_s3') }}">
                        <i class="fas fa-plus-square"></i>&ensp;Add S3 file
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_validation.file_add_redshift') }}">
                        <i class="fas fa-plus-square"></i>&ensp;Add Redshift file
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('views_validation.login') }}">
                        <i class="fas fa-power-off"></i>&ensp;Exit
                    </a>
                </li>
            </ul>
        </div><!-- .list of menu items -->
    </nav>
    <br/>
    <br/>
</div>

<div class="container-fluid gedf-wrapper">
    <div class="row">
        <div class="col-md-12 gedf-main">
            <!--- \\\\\\\Post-->
            <div class="card gedf-card">

                <div class="card-body">
                    {% block body %} {% endblock %}
                </div> <!-- .card body ends-->
            </div>
            <!-- Post /////-->
        </div>
    </div>
</div>

<div class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

</body>

</html>